Disable the pld instruction on platforms which don't support it. The pld instruction is
just a hint to the memory system that a certain bit of memory is going to
be accessed in the near future, so it should be harmless to remove it.
Jim Hawkins <jawkins@armedslack.org>

Prevent these errors:
libmpeg2/motion_comp_arm_s.S: Assembler messages:
libmpeg2/motion_comp_arm_s.S:29: Error: selected processor does not support `pld [r1]'
libmpeg2/motion_comp_arm_s.S:39: Error: selected processor does not support `pld [r1]'

./configure says that it detects 'pld' is not supported, but it's still used in 
libmpeg2 anyway.

diff -urN mplayer-20090405/libmpeg2/motion_comp_arm_s.S ../mplayer-20090405/libmpeg2/motion_comp_arm_s.S
--- mplayer-20090405/libmpeg2/motion_comp_arm_s.S	2008-09-13 18:31:45.000000000 +0100
+++ ../mplayer-20090405/libmpeg2/motion_comp_arm_s.S	2009-09-09 23:16:56.452224398 +0100
@@ -19,6 +19,14 @@
 @ Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 
+@ Disable pld for platforms which don't support it
+#include "../config.h"
+#if !HAVE_PLD
+.macro pld reg
+.endm
+#endif
+
+
 	.text
 
 @ ----------------------------------------------------------------
